﻿using FluentValidation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Dtos.Tencent
{
    /// <summary>
    /// 行驶证识别
    /// 请求类
    /// </summary>
    public class VehicleLicenseOCRDto:OCRDtoBase
    {
        /// <summary>
        /// 0 FRONT 1 BACK 2 DOUBEL
        /// FRONT 为行驶证主页正面（有红色印章的一面）， BACK 为行驶证副页正面（有号码号牌的一面）， DOUBLE 为行驶证主页正面和副页正面。
        /// 默认值为：FRONT。
        /// </summary>
        public int CardSide { get; set; }
    }

    public class VehicleLicenseOCRDtoFoalidator : AbstractValidator<VehicleLicenseOCRDto>
    {
        public VehicleLicenseOCRDtoFoalidator()
        {
            Include(new OCRDtoBaseFoalidator());
            RuleFor(it => it.CardSide)
                .InclusiveBetween(0, 2)
                .WithMessage("CardSide参数值超处范围! 0 FRONT(为行驶证主页正面（有红色印章的一面）) 1 BACK(为行驶证副页正面（有号码号牌的一面）) 2 DOUBEL(为行驶证主页正面和副页正面)");
        }
    }
}
