﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 酒店费用子项内容
    /// </summary>
    [SugarTable("Grp_HotelReservationsContent")]
    public class Grp_HotelReservationsContent:EntityBase
    {
        /// <summary>
        /// 团组Id
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType = "int")]
        public int DiId { get; set; }

        /// <summary>
        /// 酒店费用录入主表Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int HrId { get; set; }

        /// <summary>
        /// 费用类型
        /// 1：房费
        /// 2：早餐
        /// 3：地税
        /// 4：城市税
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int PriceType { get; set; }

        /// <summary>
        /// 费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal Price { get; set; }

        /// <summary>
        /// 币种
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Currency { get; set; }

        /// <summary>
        /// 汇率
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,4)")]
        public decimal Rate { get; set; }

        /// <summary>
        /// 由地接支付
        /// 0 否 1是
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsOppay { get; set; }

        /// <summary>
        /// 支付方式
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int PayDId { get; set; }

        /// <summary>
        /// 消费方式
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(125)")]
        public string ConsumptionPatterns { get; set; }
        /// <summary>
        /// 消费日期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(30)")]
        public string ConsumptionDate { get; set; }
        /// <summary>
        /// 卡类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CTDId { get; set; }
        /// <summary>
        /// 银行卡号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(125)")]
        public string BankNo { get; set; }
        /// <summary>
        /// 持卡人姓名
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(125)")]
        public string CardholderName { get; set; }
        ///// <summary>
        ///// 付款金额
        ///// </summary>
        //[SugarColumn(IsNullable = true, ColumnDataType = "decimal(10, 2)")]
        //public decimal PayMoney { get; set; }
        ///// <summary>
        ///// 付款币种 数据类型Id
        ///// </summary>
        //[SugarColumn(IsNullable = true, ColumnDataType = "int")]
        //public int PaymentCurrency { get; set; }

        /// <summary>
        /// 公司银行卡号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(125)")]
        public string CompanyBankNo { get; set; }
        /// <summary>
        /// 对方开户行
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(125)")]
        public string OtherBankName { get; set; }
        /// <summary>
        /// 对方银行账号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(125)")]
        public string OtherSideNo { get; set; }
        /// <summary>
        /// 对方姓名
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(125)")]
        public string OtherSideName { get; set; }

        /// <summary> 
        /// 是否付款  0 否 1 是
        /// </summary> 
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsPay { get; set; }

        /// <summary>
        /// 收款方
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Payee { get; set; }
        /// <summary>
        /// 费用标识
        /// 0 公转 1 私转
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int OrbitalPrivateTransfer { get; set; }

    }
}
