﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.System
{
    /// <summary>
    /// 城市
    /// </summary>
    public class Sys_Cities:EntityBase
    {
        /// <summary>
        /// 国家Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CountriesId { get; set; }

        /// <summary>
        /// 城市名称 CN
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Name_CN { get; set; }

        /// <summary>
        /// 城市名称 EN
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(100)")]
        public string Name_EN { get; set; }

        /// <summary>
        /// 父级Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int ParentId { get; set; }

        /// <summary>
        /// 城市等级
        /// 1 省份 2 城市 3 区县
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public  int  Level { get; set; }

        /// <summary>
        /// 城市三字码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(10)")]
        public string ThreeCode { get; set; }

        /// <summary>
        /// 是否为省会城市/首都
        /// 0 是 1 否
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsCapital { get; set; }
    }
}
