﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.Groups
{
    /// <summary>
    /// 团组增减款项返回视图
    /// </summary>
    public class DecreasePaymentsView
    {
        public int Id { get; set; }
        /// <summary>
        /// 团组外键编号
        /// </summary>
        public int DiId { get; set; }
        /// <summary>
        /// 费用名称
        /// </summary>
        public string PriceName { get; set; }
        /// <summary>
        /// 费用金额
        /// </summary>
        public decimal FeeTotal { get; set; }

        /// <summary>
        /// 费用币种
        /// </summary>
        public string Currency { get; set; }
        /// <summary>
        /// 附件地址
        /// </summary>
        public string FilePath { get; set; }
        public string CreateUserName { get; set; }
        public DateTime CreateTime { get; set; }
        public int isAudit { get; set; }
        public int IsPay { get; set; }
    }

    public class DecreasePaymentGroupView
    {
        public int Id { get; set; }
        public string TeamName { get; set; }
        public string ClientUnit { get; set; }
        public string ClientName { get; set; }
        public string TourCode { get; set; }
        public int TeamDid { get; set; }
        public string TeamTypeName { get; set; }
        public string VisitCountry { get; set; }
        public DateTime VisitStartDate { get; set; }
        public DateTime VisitEndDate { get; set; }
        public int VisitDays { get; set; }
        public int VisitPNumber { get; set; }
        public DateTime CreateTime { get; set; }
    }

    public class DecreasePaymentsInfoView
    {
       
        public int id { get; set; }
        /// <summary>
        /// 团组外键编号
        /// </summary>
        public int diId { get; set; }

        /// <summary>
        /// 供应商地区
        ///  1 国内(默认) 2 国外
        /// </summary>
        public int supplierArea { get; set; }

        /// <summary>
        /// 供应商类型
        /// </summary>
        public int supplierTypeId { get; set; }

        /// <summary>
        /// 供应商名称
        /// </summary>
        public string SupplierName { get; set; }

        /// <summary>
        /// 供应商联系人
        /// </summary>
        public string SupplierContact { get; set; }

        /// <summary>
        /// 供应商联系电话
        /// </summary>
        public string SupplierContactNumber { get; set; }

        public string SupplierSocialAccount { get; set; }

        public string SupplierEmail { get; set; }

        public string SupplierAddress { get; set; }

        /// <summary>
        /// 费用名称
        /// </summary>
        public string priceName { get; set; }
        /// <summary>
        /// 单价
        /// </summary>
        public decimal price { get; set; }

        /// <summary>
        /// 数量
        /// </summary>
        public decimal quantity { get; set; }

        /// <summary>
        /// 费用总计
        /// </summary>
        public decimal feeTotal { get; set; }

        /// <summary>
        /// 费用币种
        /// </summary>
        public int currency { get; set; }
        /// <summary>
        /// 附件地址
        /// </summary>
        public string filePath { get; set; }

        /// <summary>
        /// 支付方式
        /// </summary>
        public int payDId { get; set; }
        /// <summary>
        /// 费用标识
        /// </summary>
        public int orbitalPrivateTransfer { get; set; }

        public string OtherBankName { get; set; }
        public string OtherSideName { get; set; }
        public string OtherSideNo { get; set; }

        public int IsAuditGM { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string remark { get; set; }
    }
}
