﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.QiYeWeChat
{
    /// <summary>
    /// 部门成员列表
    /// </summary>
    public class GroupStatus_UserSimplelistView : ResponseBase
    {
        public List<GroupStatus_UserSimplelistItem> userlist { get; set; }
    }

    public class GroupStatus_UserSimplelistItem
    {
        /// <summary>
        /// 成员UserID。对应管理端的账号
        /// </summary>
        public string userid { get; set; }

        /// <summary>
        /// 成员名称
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// 成员所属部门列表
        /// </summary>
        public List<int> department { get; set; }
    }

    /// <summary>
    /// 创建群聊
    /// </summary>
    public class GroupStatus_CreateChatView : ResponseBase
    {
        public string chatid { get; set; }
    }

    public class GroupStatus_SendMessageView : ResponseBase
    {
        /// <summary>
        /// 不合法的userid，不区分大小写，统一转为小写
        /// </summary>
        public string invaliduser { get; set; }

        /// <summary>
        /// 不合法的partyid
        /// </summary>
        public string invalidparty { get; set; }

        /// <summary>
        /// 不合法的标签id
        /// </summary>
        public string invalidtag { get; set; }

        /// <summary>
        /// 没有基础接口许可(包含已过期)的userid
        /// </summary>
        public string unlicenseduser { get; set; }

        /// <summary>
        /// 消息id，用于撤回应用消息
        /// </summary>
        public string msgid { get; set; }

        /// <summary>
        /// 仅消息类型为“按钮交互型”，“投票选择型”和“多项选择型”的模板卡片消息返回，应用可使用response_code调用更新模版卡片消息接口，72小时内有效，且只能使用一次
        /// </summary>
        public string response_code { get; set; }
    }


}
