﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.QiYeWeChat
{
    /// <summary>
    /// 企业微信
    /// 用户Id List  View
    /// </summary>
    public class UserIdListView : ResponseBase
    {
        /// <summary>
        /// 分页游标，下次请求时填写以获取之后分页的记录。如果该字段返回空则表示已没有更多数据
        /// </summary>
        public string? next_cursor { get; set; }

        /// <summary>
        /// 用户-部门关系列表
        /// </summary>
        public List<UserIdInfo>? dept_user { get; set; }
    }

    /// <summary>
    /// 企业微信
    /// 用户Id Info  View
    /// </summary>
    public class UserIdInfo
    {
        /// <summary>
        /// 用户userid，当用户在多个部门下时会有多条记录
        /// </summary>
        public string? userid { get; set; }

        /// <summary>
        /// 用户所属部门
        /// </summary>
        public uint department { get; set; }
    }

    /// <summary>
    /// 成员信息
    /// </summary>
    public class QYWX_UserInfo
    {
        /// <summary>
        /// userid
        /// </summary>
        public string userid { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// 手机
        /// </summary>
        public string mobile { get; set; }

        /// <summary>
        /// 职位
        /// </summary>
        public string position { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>
        public string email { get; set; }

        /// <summary>
        /// 企业邮箱
        /// </summary>
        public string biz_mail { get; set; }
    }


    /// <summary>
    /// 成员信息 View
    /// </summary>
    public class QYWX_UserInfoView : ResponseBase
    {
        public QYWX_UserInfo QYWX_User { get; set; }
    }

    /// <summary>
    /// 成员信息 item View
    /// </summary>
    public class QYWX_UserInfosView : ResponseBase 
    {
        public List<QYWX_UserInfo> QYWX_Users { get; set; }
    }

}
